-- This example demonstrates using of IOArray and IOUArray
import Data.ArrayBZ.IO

main = do
          -- This section demonstrates using of IOArray
          test_IOArray        >>= print

          -- This section demonstrates using of IOUArray
          test_IOUArray       >>= print


-- Using IOArray
test_IOArray = do
          array <- newListArray (1,10) [1..10] :: IO (IOArray Int Double)
          elements <- getElems array
          return (sum elements)

-- Using IOUArray
test_IOUArray = do
          array <- newListArray (1,10) [1..10] :: IO (IOUArray Int Double)
          elements <- getElems array
          return (sum elements)

-- Helper operation
a |> b = b a

